Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server/3.3/App.config
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server/3.3/App.config	(revision 4089)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server/3.3/App.config	(revision 4090)
@@ -7,3 +7,49 @@
     </sectionGroup>
   </configSections>
+  
+  <!--
+  <applicationSettings>
+    <HeuristicLab.Hive.Server.Core.Properties.Settings>
+      <setting name="HiveServerConnectionString" serializeAs="String">
+        <value>Data Source=127.0.0.1;Initial Catalog=HeuristicLab.Hive;Persist Security Info=True;User ID=hive;Password=hive;Pooling=true;MultipleActiveResultSets=true</value>
+      </setting>
+    </HeuristicLab.Hive.Server.Core.Properties.Settings>
+  </applicationSettings>
+  --> 
+  
+  <!-- [chn] which connectionstring is used? -->
+  
+  <connectionStrings>
+    <add name="HeuristicLab.Hive.Server.LINQDataAccess.Properties.Settings.HeuristicLab_Hive_LinqConnectionString"
+        connectionString="Data Source=127.0.0.1;Initial Catalog=HeuristicLab.Hive.Linq;Integrated Security=True;MultipleActiveResultSets=True"
+        providerName="System.Data.SqlClient" />
+  </connectionStrings>
+  
+  <!-- [chn] spring-config won't be merged anyway, so remove it when all sping-dependencies are resolved -->
+  <spring>
+    <context>
+      <resource uri="config://spring/objects"/>
+    </context>
+
+    <objects xmlns="http://www.springframework.net" xmlns:aop="http://www.springframework.net/aop">
+      <object id="clientFacade" singleton="false" type="HeuristicLab.Hive.Server.Core.ClientFacade, HeuristicLab.Hive.Server.Core-3.3" />
+      <object id="executionEngineFacade" singleton="false" type="HeuristicLab.Hive.Server.Core.ExecutionEngineFacade, HeuristicLab.Hive.Server.Core-3.3" />
+      <object id="serverConsoleFacade" singleton="false" type="HeuristicLab.Hive.Server.Core.ServerConsoleFacade, HeuristicLab.Hive.Server.Core-3.3" />
+      <object id="serviceOperation" type="Spring.Aop.Support.SdkRegularExpressionMethodPointcut, Spring.Aop">
+        <property name="patterns">
+          <list>
+            <value>HeuristicLab.Hive.Server.Core.ClientFacade.*</value>
+            <value>HeuristicLab.Hive.Server.Core.ExecutionEngineFacade.*</value>
+            <value>HeuristicLab.Hive.Server.Core.ServerConsoleFacade.*</value>
+          </list>
+        </property>
+      </object>
+
+      <object id="sci" type="HeuristicLab.Hive.Server.ServiceCallInterception, HeuristicLab.Hive.Server-3.3" />
+
+      <aop:config>
+        <aop:advisor pointcut-ref="serviceOperation" advice-ref="sci"/>
+      </aop:config>
+    </objects>
+  </spring>
 </configuration>
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server/3.3/HeuristicLab.Hive.Server-3.3.csproj
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server/3.3/HeuristicLab.Hive.Server-3.3.csproj	(revision 4089)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server/3.3/HeuristicLab.Hive.Server-3.3.csproj	(revision 4090)
@@ -10,5 +10,5 @@
     <AppDesignerFolder>Properties</AppDesignerFolder>
     <RootNamespace>HeuristicLab.Hive.Server</RootNamespace>
-    <AssemblyName>HeuristicLab.Hive.Server-3.2</AssemblyName>
+    <AssemblyName>HeuristicLab.Hive.Server-3.3</AssemblyName>
     <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
@@ -81,4 +81,16 @@
       <HintPath>..\..\..\..\..\..\..\..\..\Programme\HeuristicLab 3.3\HeuristicLab.PluginInfrastructure-3.3.dll</HintPath>
     </Reference>
+    <Reference Include="HeuristicLab.Tracing-3.3">
+      <HintPath>..\..\..\..\..\..\..\..\..\Programme\HeuristicLab 3.3\HeuristicLab.Tracing-3.3.dll</HintPath>
+    </Reference>
+    <Reference Include="Spring.Aop">
+      <HintPath>..\..\HeuristicLab.ExtLibs\HeuristicLab.SpringNET\1.3.0\Spring.Aop.dll</HintPath>
+    </Reference>
+    <Reference Include="Spring.Core">
+      <HintPath>..\..\HeuristicLab.ExtLibs\HeuristicLab.SpringNET\1.3.0\Spring.Core.dll</HintPath>
+    </Reference>
+    <Reference Include="Spring.Services">
+      <HintPath>..\..\HeuristicLab.ExtLibs\HeuristicLab.SpringNET\1.3.0\Spring.Services.dll</HintPath>
+    </Reference>
     <Reference Include="System" />
     <Reference Include="System.Core">
@@ -142,5 +154,4 @@
       <DesignTimeSharedInput>True</DesignTimeSharedInput>
     </Compile>
-    <Compile Include="ServiceCallInterception.cs" />
   </ItemGroup>
   <ItemGroup>
@@ -159,5 +170,6 @@
   </ItemGroup>
   <ItemGroup>
-    <None Include="App.config">
+    <None Include="app.config">
+      <SubType>Designer</SubType>
     </None>
     <None Include="Resources\HeuristicLab.ico" />
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server/3.3/HiveServerApplication.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server/3.3/HiveServerApplication.cs	(revision 4089)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server/3.3/HiveServerApplication.cs	(revision 4090)
@@ -33,5 +33,4 @@
 using HeuristicLab.Hive.Contracts.Interfaces;
 using HeuristicLab.Hive.Server.Properties;
-using Spring.ServiceModel;
 
 namespace HeuristicLab.Hive.Server {
@@ -69,46 +68,48 @@
       string curServiceHost = "";
       Uri uriTcp;
-      /*IEnumerable<IClientFacade> clientCommunicatorInstances = ApplicationManager.Manager.GetInstances<IClientFacade>();
-      IEnumerable<IServerConsoleFacade> serverConsoleInstances = ApplicationManager.Manager.GetInstances<IServerConsoleFacade>();
-      IEnumerable<IExecutionEngineFacade> executionEngineInstances = ApplicationManager.Manager.GetInstances<IExecutionEngineFacade>();*/
-      SpringServiceHost serviceHost = null;
+      IClientFacade clientCommunicatorInstance = ApplicationManager.Manager.GetInstances<IClientFacade>().First();
+      IServerConsoleFacade serverConsoleInstance = ApplicationManager.Manager.GetInstances<IServerConsoleFacade>().First();
+      IExecutionEngineFacade executionEngineInstance = ApplicationManager.Manager.GetInstances<IExecutionEngineFacade>().First();
+      //SpringServiceHost serviceHost = null;
+      ServiceHost serviceHost = null;
+
       switch (svc) {
         case Services.ClientCommunicator:
-        //  if (clientCommunicatorInstances.Count() > 0) {
-            uriTcp = new Uri("net.tcp://" + ipAddress + ":" + port + "/HiveServer/");
-            //serviceHost = new ServiceHost(clientCommunicatorInstances.First().GetType(), uriTcp);
-            //serviceHost = new ServiceHost(typeof(ClientFacade), uriTcp);
-            serviceHost = new SpringServiceHost("clientFacade", uriTcp);
-            serviceHost.AddServiceEndpoint(typeof(IClientFacade), streamedBinding, STR_ClientCommunicator);
-            
-            ServiceDebugBehavior sdb = serviceHost.Description.Behaviors.Find<ServiceDebugBehavior>();
-            if (sdb == null) {
-              sdb = new ServiceDebugBehavior();
-              serviceHost.Description.Behaviors.Add(sdb);
-            }
-            sdb.IncludeExceptionDetailInFaults = true;
+          //  if (clientCommunicatorInstances.Count() > 0) {
+          uriTcp = new Uri("net.tcp://" + ipAddress + ":" + port + "/HiveServer/");
+          serviceHost = new ServiceHost(clientCommunicatorInstance.GetType(), uriTcp);
+          //serviceHost = new ServiceHost(typeof(ClientFacade), uriTcp);
+          //serviceHost = new SpringServiceHost("clientFacade", uriTcp);
+          serviceHost.AddServiceEndpoint(typeof(IClientFacade), streamedBinding, STR_ClientCommunicator);
 
-            
+          ServiceDebugBehavior sdb = serviceHost.Description.Behaviors.Find<ServiceDebugBehavior>();
+          if (sdb == null) {
+            sdb = new ServiceDebugBehavior();
+            serviceHost.Description.Behaviors.Add(sdb);
+          }
+          sdb.IncludeExceptionDetailInFaults = true;
 
-            curServiceHost = STR_ClientCommunicator;
-        //  }
+
+
+          curServiceHost = STR_ClientCommunicator;
+          //  }
           break;
         case Services.ServerConsoleFacade:
-        //  if (serverConsoleInstances.Count() > 0) {
-            uriTcp = new Uri("net.tcp://" + ipAddress + ":" + port + "/HiveServerConsole/");
-            //serviceHost = new ServiceHost(serverConsoleInstances.First().GetType(), uriTcp);
-            serviceHost = new SpringServiceHost("serverConsoleFacade", uriTcp);
-            serviceHost.AddServiceEndpoint(typeof(IServerConsoleFacade), binding, STR_ServerConsoleFacade);
-            curServiceHost = STR_ServerConsoleFacade;
-        //  }
+          //  if (serverConsoleInstances.Count() > 0) {
+          uriTcp = new Uri("net.tcp://" + ipAddress + ":" + port + "/HiveServerConsole/");
+          serviceHost = new ServiceHost(serverConsoleInstance.GetType(), uriTcp);
+          //serviceHost = new SpringServiceHost("serverConsoleFacade", uriTcp);
+          serviceHost.AddServiceEndpoint(typeof(IServerConsoleFacade), binding, STR_ServerConsoleFacade);
+          curServiceHost = STR_ServerConsoleFacade;
+          //  }
           break;
         case Services.ExecutionEngineFacade:
-        //  if (executionEngineInstances.Count() > 0) {
-            uriTcp = new Uri("net.tcp://" + ipAddress + ":" + port + "/ExecutionEngine/");
-            //serviceHost = new ServiceHost(executionEngineInstances.First().GetType(), uriTcp);
-            serviceHost = new SpringServiceHost("executionEngineFacade", uriTcp);
-            serviceHost.AddServiceEndpoint(typeof(IExecutionEngineFacade), streamedBinding, STR_ExecutionEngineFacade);
-            curServiceHost = STR_ExecutionEngineFacade;
-        //  }
+          //  if (executionEngineInstances.Count() > 0) {
+          uriTcp = new Uri("net.tcp://" + ipAddress + ":" + port + "/ExecutionEngine/");
+          serviceHost = new ServiceHost(executionEngineInstance.GetType(), uriTcp);
+          //serviceHost = new SpringServiceHost("executionEngineFacade", uriTcp);
+          serviceHost.AddServiceEndpoint(typeof(IExecutionEngineFacade), streamedBinding, STR_ExecutionEngineFacade);
+          curServiceHost = STR_ExecutionEngineFacade;
+          //  }
           break;
         case Services.All:
@@ -160,17 +161,15 @@
       //Start services and record their base address
       Dictionary<string, Uri> baseAddrDict = new Dictionary<string, Uri>();
-      baseAddrDict.Add(STR_ClientCommunicator,
-        StartService(Services.ClientCommunicator, addresses[index], WcfSettings.DEFAULTPORT));
-      baseAddrDict.Add(STR_ServerConsoleFacade,
-        StartService(Services.ServerConsoleFacade, addresses[index], WcfSettings.DEFAULTPORT));
-      baseAddrDict.Add(STR_ExecutionEngineFacade,
-        StartService(Services.ExecutionEngineFacade, addresses[index], WcfSettings.DEFAULTPORT));
+      baseAddrDict.Add(STR_ClientCommunicator, StartService(Services.ClientCommunicator, addresses[index], WcfSettings.DEFAULTPORT));
+      baseAddrDict.Add(STR_ServerConsoleFacade, StartService(Services.ServerConsoleFacade, addresses[index], WcfSettings.DEFAULTPORT));
+      baseAddrDict.Add(STR_ExecutionEngineFacade, StartService(Services.ExecutionEngineFacade, addresses[index], WcfSettings.DEFAULTPORT));
 
       IEnumerable<ILifecycleManager> lifecycleManagers = ApplicationManager.Manager.GetInstances<ILifecycleManager>();
       if (lifecycleManagers.Count() > 0) {
-        ILifecycleManager lifecycleManager =
-          lifecycleManagers.First();
+        ILifecycleManager lifecycleManager = lifecycleManagers.First();
 
         lifecycleManager.Init();
+
+        // [chn] remove gui code here, how to display any response from server?
         Form mainForm = new MainForm(baseAddrDict);
         Application.Run(mainForm);
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server/3.3/HiveServerPlugin.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server/3.3/HiveServerPlugin.cs	(revision 4089)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server/3.3/HiveServerPlugin.cs	(revision 4090)
@@ -27,13 +27,13 @@
 
 namespace HeuristicLab.Hive.Server {
-  [Plugin("HeuristicLab.Hive.Server-3.3")]
+  [Plugin("HeuristicLab.Hive.Server", "3.3")]
   [PluginFile("HeuristicLab.Hive.Server-3.3.dll", PluginFileType.Assembly)]
-  [PluginDependency("HeuristicLab.Core-3.3")]
-  [PluginDependency("HeuristicLab.DataAccess-3.3")]
-  [PluginDependency("HeuristicLab.Hive.Server.Core-3.3")]
-  [PluginDependency("HeuristicLab.Hive.Contracts-3.3")]
-  [PluginDependency("HeuristicLab.Hive.Server.LINQDataAccess-3.3")]
-  [PluginDependency("HeuristicLab.SpringNET", "1.3.0.0")]
-  [PluginDependency("HeuristicLab.Tracing", "3.3.0")]
+  [PluginDependency("HeuristicLab.Core", "3.3")]
+  [PluginDependency("HeuristicLab.DataAccess", "3.3")]
+  [PluginDependency("HeuristicLab.Hive.Server.Core", "3.3")]
+  [PluginDependency("HeuristicLab.Hive.Contracts", "3.3")]
+  [PluginDependency("HeuristicLab.Hive.Server.LINQDataAccess", "3.3")]
+  //[PluginDependency("HeuristicLab.SpringNET", "1.3.0.0")]
+  [PluginDependency("HeuristicLab.Tracing", "3.3")]
   public class HiveServerPlugin : PluginBase {
   }