Index: /trunk/sources/HeuristicLab 3.3.sln
===================================================================
--- /trunk/sources/HeuristicLab 3.3.sln	(revision 4094)
+++ /trunk/sources/HeuristicLab 3.3.sln	(revision 4095)
@@ -292,17 +292,9 @@
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "ProtocolBuffers", "HeuristicLab.ExtLibs\HeuristicLab.ProtobufCS\0.9.1\ProtobufCS\src\ProtocolBuffers\ProtocolBuffers.csproj", "{6908BDCE-D925-43F3-94AC-A531E6DF2591}"
 EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "AddressBook", "HeuristicLab.ExtLibs\HeuristicLab.ProtobufCS\0.9.1\ProtobufCS\src\AddressBook\AddressBook.csproj", "{A31F5FB2-4FF3-432A-B35B-5CD203606311}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "ProtoBench", "HeuristicLab.ExtLibs\HeuristicLab.ProtobufCS\0.9.1\ProtobufCS\src\ProtoBench\ProtoBench.csproj", "{C7A4A435-2813-41C8-AA87-BD914BA5223D}"
-EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "ProtocolBuffers.Test", "HeuristicLab.ExtLibs\HeuristicLab.ProtobufCS\0.9.1\ProtobufCS\src\ProtocolBuffers.Test\ProtocolBuffers.Test.csproj", "{DD01ED24-3750-4567-9A23-1DB676A15610}"
 EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "ProtoDump", "HeuristicLab.ExtLibs\HeuristicLab.ProtobufCS\0.9.1\ProtobufCS\src\ProtoDump\ProtoDump.csproj", "{D7282E99-2DC3-405B-946F-177DB2FD2AE2}"
-EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "ProtoGen", "HeuristicLab.ExtLibs\HeuristicLab.ProtobufCS\0.9.1\ProtobufCS\src\ProtoGen\ProtoGen.csproj", "{250ADE34-82FD-4BAE-86D5-985FBE589C4A}"
 EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "ProtoGen.Test", "HeuristicLab.ExtLibs\HeuristicLab.ProtobufCS\0.9.1\ProtobufCS\src\ProtoGen.Test\ProtoGen.Test.csproj", "{C268DA4C-4004-47DA-AF23-44C983281A68}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "ProtoMunge", "HeuristicLab.ExtLibs\HeuristicLab.ProtobufCS\0.9.1\ProtobufCS\src\ProtoMunge\ProtoMunge.csproj", "{8F09AF72-3327-4FA7-BC09-070B80221AB9}"
 EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.ProtobufCS-0.9.1", "HeuristicLab.ExtLibs\HeuristicLab.ProtobufCS\0.9.1\HeuristicLab.ProtobufCS\HeuristicLab.ProtobufCS-0.9.1.csproj", "{236459CE-80CF-4991-972F-DE74C826BCCC}"
@@ -1895,32 +1887,4 @@
 		{6908BDCE-D925-43F3-94AC-A531E6DF2591}.Silverlight2|x64.ActiveCfg = Silverlight2|Any CPU
 		{6908BDCE-D925-43F3-94AC-A531E6DF2591}.Silverlight2|x86.ActiveCfg = Silverlight2|Any CPU
-		{A31F5FB2-4FF3-432A-B35B-5CD203606311}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{A31F5FB2-4FF3-432A-B35B-5CD203606311}.Debug|x64.ActiveCfg = Debug|x64
-		{A31F5FB2-4FF3-432A-B35B-5CD203606311}.Debug|x86.ActiveCfg = Debug|x86
-		{A31F5FB2-4FF3-432A-B35B-5CD203606311}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{A31F5FB2-4FF3-432A-B35B-5CD203606311}.Release|x64.ActiveCfg = Release|x64
-		{A31F5FB2-4FF3-432A-B35B-5CD203606311}.Release|x86.ActiveCfg = Release|x86
-		{A31F5FB2-4FF3-432A-B35B-5CD203606311}.Services|Any CPU.ActiveCfg = Silverlight2|Any CPU
-		{A31F5FB2-4FF3-432A-B35B-5CD203606311}.Services|Any CPU.Build.0 = Silverlight2|Any CPU
-		{A31F5FB2-4FF3-432A-B35B-5CD203606311}.Services|x64.ActiveCfg = Silverlight2|Any CPU
-		{A31F5FB2-4FF3-432A-B35B-5CD203606311}.Services|x86.ActiveCfg = Silverlight2|Any CPU
-		{A31F5FB2-4FF3-432A-B35B-5CD203606311}.Silverlight2|Any CPU.ActiveCfg = Silverlight2|Any CPU
-		{A31F5FB2-4FF3-432A-B35B-5CD203606311}.Silverlight2|Any CPU.Build.0 = Silverlight2|Any CPU
-		{A31F5FB2-4FF3-432A-B35B-5CD203606311}.Silverlight2|x64.ActiveCfg = Silverlight2|Any CPU
-		{A31F5FB2-4FF3-432A-B35B-5CD203606311}.Silverlight2|x86.ActiveCfg = Silverlight2|Any CPU
-		{C7A4A435-2813-41C8-AA87-BD914BA5223D}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{C7A4A435-2813-41C8-AA87-BD914BA5223D}.Debug|x64.ActiveCfg = Debug|x64
-		{C7A4A435-2813-41C8-AA87-BD914BA5223D}.Debug|x86.ActiveCfg = Debug|x86
-		{C7A4A435-2813-41C8-AA87-BD914BA5223D}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{C7A4A435-2813-41C8-AA87-BD914BA5223D}.Release|x64.ActiveCfg = Release|x64
-		{C7A4A435-2813-41C8-AA87-BD914BA5223D}.Release|x86.ActiveCfg = Release|x86
-		{C7A4A435-2813-41C8-AA87-BD914BA5223D}.Services|Any CPU.ActiveCfg = Silverlight2|Any CPU
-		{C7A4A435-2813-41C8-AA87-BD914BA5223D}.Services|Any CPU.Build.0 = Silverlight2|Any CPU
-		{C7A4A435-2813-41C8-AA87-BD914BA5223D}.Services|x64.ActiveCfg = Silverlight2|Any CPU
-		{C7A4A435-2813-41C8-AA87-BD914BA5223D}.Services|x86.ActiveCfg = Silverlight2|Any CPU
-		{C7A4A435-2813-41C8-AA87-BD914BA5223D}.Silverlight2|Any CPU.ActiveCfg = Silverlight2|Any CPU
-		{C7A4A435-2813-41C8-AA87-BD914BA5223D}.Silverlight2|Any CPU.Build.0 = Silverlight2|Any CPU
-		{C7A4A435-2813-41C8-AA87-BD914BA5223D}.Silverlight2|x64.ActiveCfg = Silverlight2|Any CPU
-		{C7A4A435-2813-41C8-AA87-BD914BA5223D}.Silverlight2|x86.ActiveCfg = Silverlight2|Any CPU
 		{DD01ED24-3750-4567-9A23-1DB676A15610}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{DD01ED24-3750-4567-9A23-1DB676A15610}.Debug|x64.ActiveCfg = Debug|x64
@@ -1937,21 +1901,8 @@
 		{DD01ED24-3750-4567-9A23-1DB676A15610}.Silverlight2|x64.ActiveCfg = Silverlight2|Any CPU
 		{DD01ED24-3750-4567-9A23-1DB676A15610}.Silverlight2|x86.ActiveCfg = Silverlight2|Any CPU
-		{D7282E99-2DC3-405B-946F-177DB2FD2AE2}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{D7282E99-2DC3-405B-946F-177DB2FD2AE2}.Debug|x64.ActiveCfg = Debug|x64
-		{D7282E99-2DC3-405B-946F-177DB2FD2AE2}.Debug|x86.ActiveCfg = Debug|x86
-		{D7282E99-2DC3-405B-946F-177DB2FD2AE2}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{D7282E99-2DC3-405B-946F-177DB2FD2AE2}.Release|x64.ActiveCfg = Release|x64
-		{D7282E99-2DC3-405B-946F-177DB2FD2AE2}.Release|x86.ActiveCfg = Release|x86
-		{D7282E99-2DC3-405B-946F-177DB2FD2AE2}.Services|Any CPU.ActiveCfg = Silverlight2|Any CPU
-		{D7282E99-2DC3-405B-946F-177DB2FD2AE2}.Services|Any CPU.Build.0 = Silverlight2|Any CPU
-		{D7282E99-2DC3-405B-946F-177DB2FD2AE2}.Services|x64.ActiveCfg = Silverlight2|Any CPU
-		{D7282E99-2DC3-405B-946F-177DB2FD2AE2}.Services|x86.ActiveCfg = Silverlight2|Any CPU
-		{D7282E99-2DC3-405B-946F-177DB2FD2AE2}.Silverlight2|Any CPU.ActiveCfg = Silverlight2|Any CPU
-		{D7282E99-2DC3-405B-946F-177DB2FD2AE2}.Silverlight2|Any CPU.Build.0 = Silverlight2|Any CPU
-		{D7282E99-2DC3-405B-946F-177DB2FD2AE2}.Silverlight2|x64.ActiveCfg = Silverlight2|Any CPU
-		{D7282E99-2DC3-405B-946F-177DB2FD2AE2}.Silverlight2|x86.ActiveCfg = Silverlight2|Any CPU
 		{250ADE34-82FD-4BAE-86D5-985FBE589C4A}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{250ADE34-82FD-4BAE-86D5-985FBE589C4A}.Debug|x64.ActiveCfg = Debug|x64
 		{250ADE34-82FD-4BAE-86D5-985FBE589C4A}.Debug|x86.ActiveCfg = Debug|x86
+		{250ADE34-82FD-4BAE-86D5-985FBE589C4A}.Debug|x86.Build.0 = Debug|x86
 		{250ADE34-82FD-4BAE-86D5-985FBE589C4A}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{250ADE34-82FD-4BAE-86D5-985FBE589C4A}.Release|x64.ActiveCfg = Release|x64
@@ -1979,18 +1930,4 @@
 		{C268DA4C-4004-47DA-AF23-44C983281A68}.Silverlight2|x64.ActiveCfg = Silverlight2|Any CPU
 		{C268DA4C-4004-47DA-AF23-44C983281A68}.Silverlight2|x86.ActiveCfg = Silverlight2|Any CPU
-		{8F09AF72-3327-4FA7-BC09-070B80221AB9}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{8F09AF72-3327-4FA7-BC09-070B80221AB9}.Debug|x64.ActiveCfg = Debug|x64
-		{8F09AF72-3327-4FA7-BC09-070B80221AB9}.Debug|x86.ActiveCfg = Debug|x86
-		{8F09AF72-3327-4FA7-BC09-070B80221AB9}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{8F09AF72-3327-4FA7-BC09-070B80221AB9}.Release|x64.ActiveCfg = Release|x64
-		{8F09AF72-3327-4FA7-BC09-070B80221AB9}.Release|x86.ActiveCfg = Release|x86
-		{8F09AF72-3327-4FA7-BC09-070B80221AB9}.Services|Any CPU.ActiveCfg = Silverlight2|Any CPU
-		{8F09AF72-3327-4FA7-BC09-070B80221AB9}.Services|Any CPU.Build.0 = Silverlight2|Any CPU
-		{8F09AF72-3327-4FA7-BC09-070B80221AB9}.Services|x64.ActiveCfg = Silverlight2|Any CPU
-		{8F09AF72-3327-4FA7-BC09-070B80221AB9}.Services|x86.ActiveCfg = Silverlight2|Any CPU
-		{8F09AF72-3327-4FA7-BC09-070B80221AB9}.Silverlight2|Any CPU.ActiveCfg = Silverlight2|Any CPU
-		{8F09AF72-3327-4FA7-BC09-070B80221AB9}.Silverlight2|Any CPU.Build.0 = Silverlight2|Any CPU
-		{8F09AF72-3327-4FA7-BC09-070B80221AB9}.Silverlight2|x64.ActiveCfg = Silverlight2|Any CPU
-		{8F09AF72-3327-4FA7-BC09-070B80221AB9}.Silverlight2|x86.ActiveCfg = Silverlight2|Any CPU
 		{236459CE-80CF-4991-972F-DE74C826BCCC}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{236459CE-80CF-4991-972F-DE74C826BCCC}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -2238,11 +2175,7 @@
 		{2F5318D7-9CC2-4B5A-A7FE-43985FEA7198} = {189F7770-5540-4832-B9A0-82474009680C}
 		{6908BDCE-D925-43F3-94AC-A531E6DF2591} = {2F5318D7-9CC2-4B5A-A7FE-43985FEA7198}
-		{A31F5FB2-4FF3-432A-B35B-5CD203606311} = {2F5318D7-9CC2-4B5A-A7FE-43985FEA7198}
-		{C7A4A435-2813-41C8-AA87-BD914BA5223D} = {2F5318D7-9CC2-4B5A-A7FE-43985FEA7198}
 		{DD01ED24-3750-4567-9A23-1DB676A15610} = {2F5318D7-9CC2-4B5A-A7FE-43985FEA7198}
-		{D7282E99-2DC3-405B-946F-177DB2FD2AE2} = {2F5318D7-9CC2-4B5A-A7FE-43985FEA7198}
 		{250ADE34-82FD-4BAE-86D5-985FBE589C4A} = {2F5318D7-9CC2-4B5A-A7FE-43985FEA7198}
 		{C268DA4C-4004-47DA-AF23-44C983281A68} = {2F5318D7-9CC2-4B5A-A7FE-43985FEA7198}
-		{8F09AF72-3327-4FA7-BC09-070B80221AB9} = {2F5318D7-9CC2-4B5A-A7FE-43985FEA7198}
 		{236459CE-80CF-4991-972F-DE74C826BCCC} = {2F5318D7-9CC2-4B5A-A7FE-43985FEA7198}
 	EndGlobalSection
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ProtobufCS/0.9.1/ProtobufCS/src/ProtoGen/ProtoGen.csproj
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ProtobufCS/0.9.1/ProtobufCS/src/ProtoGen/ProtoGen.csproj	(revision 4094)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ProtobufCS/0.9.1/ProtobufCS/src/ProtoGen/ProtoGen.csproj	(revision 4095)
@@ -176,4 +176,11 @@
   </ItemGroup>
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
+  <PropertyGroup>
+    <PreBuildEvent>
+    </PreBuildEvent>
+  </PropertyGroup>
+  <PropertyGroup>
+    <PostBuildEvent>copy "$(TargetPath)" "$(SolutionDir)"</PostBuildEvent>
+  </PropertyGroup>
   <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
        Other similar extension points exist, see Microsoft.Common.targets.
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ProtobufCS/0.9.1/ProtobufCS/src/ProtocolBuffers/ProtocolBuffers.csproj
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ProtobufCS/0.9.1/ProtobufCS/src/ProtocolBuffers/ProtocolBuffers.csproj	(revision 4094)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ProtobufCS/0.9.1/ProtobufCS/src/ProtocolBuffers/ProtocolBuffers.csproj	(revision 4095)
@@ -226,4 +226,8 @@
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" Condition=" '$(Configuration)' != 'Silverlight2' " />
   <Import Project="$(MSBuildExtensionsPath)\Microsoft\Silverlight\v2.0\Microsoft.Silverlight.CSharp.targets" Condition=" '$(Configuration)' == 'Silverlight2' " />
+  <PropertyGroup>
+    <PostBuildEvent>copy "$(TargetPath)" "$(SolutionDir)"
+copy "$(ProjectDir)..\..\lib\protoc.exe" "$(SolutionDir)"</PostBuildEvent>
+  </PropertyGroup>
   <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
        Other similar extension points exist, see Microsoft.Common.targets.